{if isset($is_vwpayment) && $is_vwpayment}
<link rel="stylesheet" href="{$resourcesurl}/css/nprogress.css">
<link rel="stylesheet" href="{$resourcesurl}/css/vivawallet.css">
<link rel="stylesheet" href="{$resourcesurl}/css/additional.css">
<div class="cin">
	<form id="vivawallet" data-paymentdetailsurl="{$frontendurl}/vivawalletpayment/details">
		<div class="row">
			<div class="col-xs-12 col-md-6">
				<img src="{$resourcesurl}/frontend/img/viva-wallet-logo.png" class="img-responsive">
			</div>
		</div>
		<div class="cin-vw-row">
		<fieldset>
    		<legend>{$langvars['cin_vivawallet_creditcardinformation']}</legend>
    		<div class="row">
      			<div class="col-xs-12 col-md-6">
        			<div class="form-group required">
          				<label for="cardholdername" class="control-label">{$langvars['cin_vivawallet_cardholdername']}</label>
          				<input type="text" data-vp="cardholder" name="txtCardHolder" value="" id="cardholdername" class="form-control" placeholder="{$langvars['cin_vivawallet_cardholdername']}" required>
        			</div>
      			</div>
    		</div>
    		<div class="row">
      			<div class="col-xs-12 col-md-6">
        			<div class="form-group required cardnumber-form-group">
          				<label for="cardnumber" class="control-label">{$langvars['cin_vivawallet_cardnumber']}</label>
          				<div class="cardnumber-group">
          					<input type="text" data-vp="cardnumber" name="txtCardNumber" value="" id="cardnumber" class="form-control card" placeholder="{$langvars['cin_vivawallet_cardnumber']}" required>
          					<div class="cardindicator hidden-xs hidden-sm"></div>
          				</div>
        			</div>
      			</div>
    		</div>
    		<div class="row">
      			<div class="col-xs-12 col-md-6">
        			<div class="form-group required">
          				<label for="cvv" class="control-label">{$langvars['cin_vivawallet_cvv']}</label>
          				<input type="text" data-vp="cvv" name="txtCVV" value="" id="cvv" class="form-control" placeholder="{$langvars['cin_vivawallet_cvv']}" required>
        			</div>
      			</div>
    		</div>
    		<div class="row">
      			<div class="col-xs-12 col-md-6">
        			<div class="form-group required">
          				<label for="expiration_month">{$langvars['cin_vivawallet_expiration']} ({$langvars['cin_vivawallet_expiration_month']}/{$langvars['cin_vivawallet_expiration_year']})</label>
          				<div>
            				<input type="text" data-vp="month" name="txtMonth" id="expiration_month" class="form-control" placeholder="{$langvars['cin_vivawallet_expiration_month']}" style="display: inline-block;width: 9rem;" required>
            				<input type="text" data-vp="year" name="txtYear" id="expiration_year" class="form-control" placeholder="{$langvars['cin_vivawallet_expiration_year']}" style="display: inline-block;width: 9rem;" required>
          				</div>
        			</div>
      			</div>
    		</div>
    		<div class="row" style="display: none;" id="installmentscontainer">
      			<div class="col-xs-12 col-md-6">
        			<div class="form-group">
          				<label for="drpInstallments">{$langvars['cin_vivawallet_installments']}</label>
          				<select id="js-installments" name="drpInstallments" class="form-control">
            				<option value="1">1</option>
          				</select>
        			</div>
      			</div>
    		</div>
  		</fieldset>
  		<div class="submit-holder">
    		<button type="submit" value="{$langvars['cin_vivawallet_orderliabletopay']}" id="commit-payment-button" class="btn is--primary is--large right btn-lg submit submit_once">
    			{$langvars['cin_vivawallet_orderliabletopay']}
    		</button>
  		</div>
  		</div>
  		<div class="lock hidden">
    		<span class="display"></span>
  		</div>
  		<div class="oopsie hidden">
    		<span class="display">
      			<span class="text">{$langvars['cin_vivawallet_oopsie']}</span>
      			<div class="choices">
        			<a href="#" onclick="javascript:document.querySelector('#vivawallet .oopsie').classList.add('hidden'); return false;">
          				<button class="btn btn-primary">{$langvars['cin_vivawallet_check_entries']}</button>
        			</a>
        			<!-- Link zum Anfang des Bestellvorgangs -->
      			</div>
    		</span>
  		</div>
	</form>
	<div class="row">
  		<div class="col-xs-12">
    		<div id="cardholderauthplaceholder" style="height: 450px; width: 500px"></div>
  		</div>
	</div>
	<script type="text/javascript" src="{$resourcesurl}/js/jquery-2.2.4.min.js" charset="utf-8"></script>
	<script type="text/javascript" defer src="https://www.vivapayments.com/web/checkout/v2/js" charset="utf-8"></script>
	<script type="text/javascript" defer src="{$resourcesurl}/js/jquery.creditCardValidator.js" charset="utf-8"></script>
	<script type="text/javascript" src="{$resourcesurl}/js/notify.min.js" charset="utf-8"></script>
	<script type="text/javascript" src="{$resourcesurl}/js/nprogress.js" charset="utf-8"></script>
	<script type="text/javascript" defer src="{$resourcesurl}/js/vivawallet.js" charset="utf-8"></script>
</div>
{/if}